<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>GStreamer Base Plugins 1.0 Library Reference Manual: gstrtppayloads</title>
<meta name="generator" content="DocBook XSL Stylesheets V1.78.1">
<link rel="home" href="index.html" title="GStreamer Base Plugins 1.0 Library Reference Manual">
<link rel="up" href="gstreamer-rtp.html" title="RTP Library">
<link rel="prev" href="gst-plugins-base-libs-gstrtcpbuffer.html" title="gstrtcpbuffer">
<link rel="next" href="gst-plugins-base-libs-gstrtphdrext.html" title="gstrtphdrext">
<meta name="generator" content="GTK-Doc V1.20 (XML mode)">
<link rel="stylesheet" href="style.css" type="text/css">
</head>
<body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
<table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="10"><tr valign="middle">
<td width="100%" align="left" class="shortcuts">
<a href="#" class="shortcut">Top</a><span id="nav_description"> <span class="dim">|</span> 
                  <a href="#gst-plugins-base-libs-gstrtppayloads.description" class="shortcut">Description</a></span><span id="nav_hierarchy"> <span class="dim">|</span> 
                  <a href="#gst-plugins-base-libs-gstrtppayloads.object-hierarchy" class="shortcut">Object Hierarchy</a></span>
</td>
<td><a accesskey="h" href="index.html"><img src="home.png" width="16" height="16" border="0" alt="Home"></a></td>
<td><a accesskey="u" href="gstreamer-rtp.html"><img src="up.png" width="16" height="16" border="0" alt="Up"></a></td>
<td><a accesskey="p" href="gst-plugins-base-libs-gstrtcpbuffer.html"><img src="left.png" width="16" height="16" border="0" alt="Prev"></a></td>
<td><a accesskey="n" href="gst-plugins-base-libs-gstrtphdrext.html"><img src="right.png" width="16" height="16" border="0" alt="Next"></a></td>
</tr></table>
<div class="refentry">
<a name="gst-plugins-base-libs-gstrtppayloads"></a><div class="titlepage"></div>
<div class="refnamediv"><table width="100%"><tr>
<td valign="top">
<h2><span class="refentrytitle"><a name="gst-plugins-base-libs-gstrtppayloads.top_of_page"></a>gstrtppayloads</span></h2>
<p>gstrtppayloads — Helper methods for dealing with RTP payloads</p>
</td>
<td class="gallery_image" valign="top" align="right"></td>
</tr></table></div>
<div class="refsect1">
<a name="gst-plugins-base-libs-gstrtppayloads.functions"></a><h2>Functions</h2>
<div class="informaltable"><table width="100%" border="0">
<colgroup>
<col width="150px" class="functions_return">
<col class="functions_name">
</colgroup>
<tbody>
<tr>
<td class="define_keyword">#define</td>
<td class="function_name">
<a class="link" href="gst-plugins-base-libs-gstrtppayloads.html#GST-RTP-PAYLOAD-IS-DYNAMIC:CAPS" title="GST_RTP_PAYLOAD_IS_DYNAMIC()">GST_RTP_PAYLOAD_IS_DYNAMIC</a><span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">const <a class="link" href="gst-plugins-base-libs-gstrtppayloads.html#GstRTPPayloadInfo" title="struct GstRTPPayloadInfo"><span class="returnvalue">GstRTPPayloadInfo</span></a> *
</td>
<td class="function_name">
<a class="link" href="gst-plugins-base-libs-gstrtppayloads.html#gst-rtp-payload-info-for-name" title="gst_rtp_payload_info_for_name ()">gst_rtp_payload_info_for_name</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">const <a class="link" href="gst-plugins-base-libs-gstrtppayloads.html#GstRTPPayloadInfo" title="struct GstRTPPayloadInfo"><span class="returnvalue">GstRTPPayloadInfo</span></a> *
</td>
<td class="function_name">
<a class="link" href="gst-plugins-base-libs-gstrtppayloads.html#gst-rtp-payload-info-for-pt" title="gst_rtp_payload_info_for_pt ()">gst_rtp_payload_info_for_pt</a> <span class="c_punctuation">()</span>
</td>
</tr>
</tbody>
</table></div>
</div>
<div class="refsect1">
<a name="gst-plugins-base-libs-gstrtppayloads.other"></a><h2>Types and Values</h2>
<div class="informaltable"><table width="100%" border="0">
<colgroup>
<col width="150px" class="name">
<col class="description">
</colgroup>
<tbody>
<tr>
<td class="datatype_keyword">enum</td>
<td class="function_name"><a class="link" href="gst-plugins-base-libs-gstrtppayloads.html#GstRTPPayload" title="enum GstRTPPayload">GstRTPPayload</a></td>
</tr>
<tr>
<td class="datatype_keyword">struct</td>
<td class="function_name"><a class="link" href="gst-plugins-base-libs-gstrtppayloads.html#GstRTPPayloadInfo" title="struct GstRTPPayloadInfo">GstRTPPayloadInfo</a></td>
</tr>
</tbody>
</table></div>
</div>
<div class="refsect1">
<a name="gst-plugins-base-libs-gstrtppayloads.object-hierarchy"></a><h2>Object Hierarchy</h2>
<pre class="screen">
</pre>
</div>
<div class="refsect1">
<a name="gst-plugins-base-libs-gstrtppayloads.includes"></a><h2>Includes</h2>
<pre class="synopsis">#include &lt;gst/rtp/gstrtppayload.h&gt;
</pre>
</div>
<div class="refsect1">
<a name="gst-plugins-base-libs-gstrtppayloads.description"></a><h2>Description</h2>
<div class="refsect2">
<a name="id-1.2.9.8.7.2"></a><p>
The GstRTPPayloads helper functions makes it easy to deal with static and dynamic
payloads. Its main purpose is to retrieve properties such as the default clock-rate 
and get session bandwidth information.
</p>
</div>
</div>
<div class="refsect1">
<a name="gst-plugins-base-libs-gstrtppayloads.functions_details"></a><h2>Functions</h2>
<div class="refsect2">
<a name="GST-RTP-PAYLOAD-IS-DYNAMIC:CAPS"></a><h3>GST_RTP_PAYLOAD_IS_DYNAMIC()</h3>
<pre class="programlisting">#define GST_RTP_PAYLOAD_IS_DYNAMIC(pt) ((pt) &gt;= 96 &amp;&amp; (pt) &lt;= 127)
</pre>
<p>Check if <em class="parameter"><code>pt</code></em>
 is a dynamic payload type.</p>
<div class="refsect3">
<a name="id-1.2.9.8.8.2.5"></a><h4>Parameters</h4>
<div class="informaltable"><table width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody><tr>
<td class="parameter_name"><p>pt</p></td>
<td class="parameter_description"><p>a payload type</p></td>
<td class="parameter_annotations"> </td>
</tr></tbody>
</table></div>
</div>
</div>
<hr>
<div class="refsect2">
<a name="gst-rtp-payload-info-for-name"></a><h3>gst_rtp_payload_info_for_name ()</h3>
<pre class="programlisting">const <a class="link" href="gst-plugins-base-libs-gstrtppayloads.html#GstRTPPayloadInfo" title="struct GstRTPPayloadInfo"><span class="returnvalue">GstRTPPayloadInfo</span></a> *
gst_rtp_payload_info_for_name (<em class="parameter"><code>const <a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gchar"><span class="type">gchar</span></a> *media</code></em>,
                               <em class="parameter"><code>const <a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gchar"><span class="type">gchar</span></a> *encoding_name</code></em>);</pre>
<p>Get the <a class="link" href="gst-plugins-base-libs-gstrtppayloads.html#GstRTPPayloadInfo" title="struct GstRTPPayloadInfo"><span class="type">GstRTPPayloadInfo</span></a> for <em class="parameter"><code>media</code></em>
 and <em class="parameter"><code>encoding_name</code></em>
. This function is
mostly used to get the default clock-rate and bandwidth for dynamic payload
types specified with <em class="parameter"><code>media</code></em>
 and <em class="parameter"><code>encoding</code></em>
 name.</p>
<p>The search for <em class="parameter"><code>encoding_name</code></em>
 will be performed in a case insensitve way.</p>
<div class="refsect3">
<a name="id-1.2.9.8.8.3.6"></a><h4>Parameters</h4>
<div class="informaltable"><table width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody>
<tr>
<td class="parameter_name"><p>media</p></td>
<td class="parameter_description"><p>the media to find</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>encoding_name</p></td>
<td class="parameter_description"><p>the encoding name to find</p></td>
<td class="parameter_annotations"> </td>
</tr>
</tbody>
</table></div>
</div>
<div class="refsect3">
<a name="id-1.2.9.8.8.3.7"></a><h4>Returns</h4>
<p> a <a class="link" href="gst-plugins-base-libs-gstrtppayloads.html#GstRTPPayloadInfo" title="struct GstRTPPayloadInfo"><span class="type">GstRTPPayloadInfo</span></a> or NULL when no info could be found.</p>
<p></p>
</div>
</div>
<hr>
<div class="refsect2">
<a name="gst-rtp-payload-info-for-pt"></a><h3>gst_rtp_payload_info_for_pt ()</h3>
<pre class="programlisting">const <a class="link" href="gst-plugins-base-libs-gstrtppayloads.html#GstRTPPayloadInfo" title="struct GstRTPPayloadInfo"><span class="returnvalue">GstRTPPayloadInfo</span></a> *
gst_rtp_payload_info_for_pt (<em class="parameter"><code><span class="type">guint8</span> payload_type</code></em>);</pre>
<p>Get the <a class="link" href="gst-plugins-base-libs-gstrtppayloads.html#GstRTPPayloadInfo" title="struct GstRTPPayloadInfo"><span class="type">GstRTPPayloadInfo</span></a> for <em class="parameter"><code>payload_type</code></em>
. This function is
mostly used to get the default clock-rate and bandwidth for static payload
types specified with <em class="parameter"><code>payload_type</code></em>
.</p>
<div class="refsect3">
<a name="id-1.2.9.8.8.4.5"></a><h4>Parameters</h4>
<div class="informaltable"><table width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody><tr>
<td class="parameter_name"><p>payload_type</p></td>
<td class="parameter_description"><p>the payload_type to find</p></td>
<td class="parameter_annotations"> </td>
</tr></tbody>
</table></div>
</div>
<div class="refsect3">
<a name="id-1.2.9.8.8.4.6"></a><h4>Returns</h4>
<p> a <a class="link" href="gst-plugins-base-libs-gstrtppayloads.html#GstRTPPayloadInfo" title="struct GstRTPPayloadInfo"><span class="type">GstRTPPayloadInfo</span></a> or NULL when no info could be found.</p>
<p></p>
</div>
</div>
</div>
<div class="refsect1">
<a name="gst-plugins-base-libs-gstrtppayloads.other_details"></a><h2>Types and Values</h2>
<div class="refsect2">
<a name="GstRTPPayload"></a><h3>enum GstRTPPayload</h3>
<p>Standard predefined fixed payload types.</p>
<p>The official list is at:
http://www.iana.org/assignments/rtp-parameters</p>
<p>Audio:
reserved: 19
unassigned: 20-23,</p>
<p>Video:
unassigned: 24, 27, 29, 30, 35-71, 77-95
Reserved for RTCP conflict avoidance: 72-76</p>
<div class="refsect3">
<a name="id-1.2.9.8.9.2.7"></a><h4>Members</h4>
<div class="informaltable"><table width="100%" border="0">
<colgroup>
<col width="300px" class="enum_members_name">
<col class="enum_members_description">
<col width="200px" class="enum_members_annotations">
</colgroup>
<tbody>
<tr>
<td class="enum_member_name"><p><a name="GST-RTP-PAYLOAD-PCMU:CAPS"></a>GST_RTP_PAYLOAD_PCMU</p></td>
<td class="enum_member_description">
<p>ITU-T G.711. mu-law audio (RFC 3551)</p>
</td>
<td class="enum_member_annotations"> </td>
</tr>
<tr>
<td class="enum_member_name"><p><a name="GST-RTP-PAYLOAD-1016:CAPS"></a>GST_RTP_PAYLOAD_1016</p></td>
<td class="enum_member_description">
<p>RFC 3551 says reserved</p>
</td>
<td class="enum_member_annotations"> </td>
</tr>
<tr>
<td class="enum_member_name"><p><a name="GST-RTP-PAYLOAD-G721:CAPS"></a>GST_RTP_PAYLOAD_G721</p></td>
<td class="enum_member_description">
<p>RFC 3551 says reserved</p>
</td>
<td class="enum_member_annotations"> </td>
</tr>
<tr>
<td class="enum_member_name"><p><a name="GST-RTP-PAYLOAD-GSM:CAPS"></a>GST_RTP_PAYLOAD_GSM</p></td>
<td class="enum_member_description">
<p>GSM audio</p>
</td>
<td class="enum_member_annotations"> </td>
</tr>
<tr>
<td class="enum_member_name"><p><a name="GST-RTP-PAYLOAD-G723:CAPS"></a>GST_RTP_PAYLOAD_G723</p></td>
<td class="enum_member_description">
<p>ITU G.723.1 audio</p>
</td>
<td class="enum_member_annotations"> </td>
</tr>
<tr>
<td class="enum_member_name"><p><a name="GST-RTP-PAYLOAD-DVI4-8000:CAPS"></a>GST_RTP_PAYLOAD_DVI4_8000</p></td>
<td class="enum_member_description">
<p>IMA ADPCM wave type (RFC 3551)</p>
</td>
<td class="enum_member_annotations"> </td>
</tr>
<tr>
<td class="enum_member_name"><p><a name="GST-RTP-PAYLOAD-DVI4-16000:CAPS"></a>GST_RTP_PAYLOAD_DVI4_16000</p></td>
<td class="enum_member_description">
<p>IMA ADPCM wave type (RFC 3551)</p>
</td>
<td class="enum_member_annotations"> </td>
</tr>
<tr>
<td class="enum_member_name"><p><a name="GST-RTP-PAYLOAD-LPC:CAPS"></a>GST_RTP_PAYLOAD_LPC</p></td>
<td class="enum_member_description">
<p>experimental linear predictive encoding</p>
</td>
<td class="enum_member_annotations"> </td>
</tr>
<tr>
<td class="enum_member_name"><p><a name="GST-RTP-PAYLOAD-PCMA:CAPS"></a>GST_RTP_PAYLOAD_PCMA</p></td>
<td class="enum_member_description">
<p>ITU-T G.711 A-law audio (RFC 3551)</p>
</td>
<td class="enum_member_annotations"> </td>
</tr>
<tr>
<td class="enum_member_name"><p><a name="GST-RTP-PAYLOAD-G722:CAPS"></a>GST_RTP_PAYLOAD_G722</p></td>
<td class="enum_member_description">
<p>ITU-T G.722 (RFC 3551)</p>
</td>
<td class="enum_member_annotations"> </td>
</tr>
<tr>
<td class="enum_member_name"><p><a name="GST-RTP-PAYLOAD-L16-STEREO:CAPS"></a>GST_RTP_PAYLOAD_L16_STEREO</p></td>
<td class="enum_member_description">
<p>stereo PCM</p>
</td>
<td class="enum_member_annotations"> </td>
</tr>
<tr>
<td class="enum_member_name"><p><a name="GST-RTP-PAYLOAD-L16-MONO:CAPS"></a>GST_RTP_PAYLOAD_L16_MONO</p></td>
<td class="enum_member_description">
<p>mono PCM</p>
</td>
<td class="enum_member_annotations"> </td>
</tr>
<tr>
<td class="enum_member_name"><p><a name="GST-RTP-PAYLOAD-QCELP:CAPS"></a>GST_RTP_PAYLOAD_QCELP</p></td>
<td class="enum_member_description">
<p>EIA &amp; TIA standard IS-733</p>
</td>
<td class="enum_member_annotations"> </td>
</tr>
<tr>
<td class="enum_member_name"><p><a name="GST-RTP-PAYLOAD-CN:CAPS"></a>GST_RTP_PAYLOAD_CN</p></td>
<td class="enum_member_description">
<p>Comfort Noise (RFC 3389)</p>
</td>
<td class="enum_member_annotations"> </td>
</tr>
<tr>
<td class="enum_member_name"><p><a name="GST-RTP-PAYLOAD-MPA:CAPS"></a>GST_RTP_PAYLOAD_MPA</p></td>
<td class="enum_member_description">
<p>Audio MPEG 1-3.</p>
</td>
<td class="enum_member_annotations"> </td>
</tr>
<tr>
<td class="enum_member_name"><p><a name="GST-RTP-PAYLOAD-G728:CAPS"></a>GST_RTP_PAYLOAD_G728</p></td>
<td class="enum_member_description">
<p>ITU-T G.728 Speech coder (RFC 3551)</p>
</td>
<td class="enum_member_annotations"> </td>
</tr>
<tr>
<td class="enum_member_name"><p><a name="GST-RTP-PAYLOAD-DVI4-11025:CAPS"></a>GST_RTP_PAYLOAD_DVI4_11025</p></td>
<td class="enum_member_description">
<p>IMA ADPCM wave type (RFC 3551)</p>
</td>
<td class="enum_member_annotations"> </td>
</tr>
<tr>
<td class="enum_member_name"><p><a name="GST-RTP-PAYLOAD-DVI4-22050:CAPS"></a>GST_RTP_PAYLOAD_DVI4_22050</p></td>
<td class="enum_member_description">
<p>IMA ADPCM wave type (RFC 3551)</p>
</td>
<td class="enum_member_annotations"> </td>
</tr>
<tr>
<td class="enum_member_name"><p><a name="GST-RTP-PAYLOAD-G729:CAPS"></a>GST_RTP_PAYLOAD_G729</p></td>
<td class="enum_member_description">
<p>ITU-T G.729 Speech coder (RFC 3551)</p>
</td>
<td class="enum_member_annotations"> </td>
</tr>
<tr>
<td class="enum_member_name"><p><a name="GST-RTP-PAYLOAD-CELLB:CAPS"></a>GST_RTP_PAYLOAD_CELLB</p></td>
<td class="enum_member_description">
<p>See RFC 2029</p>
</td>
<td class="enum_member_annotations"> </td>
</tr>
<tr>
<td class="enum_member_name"><p><a name="GST-RTP-PAYLOAD-JPEG:CAPS"></a>GST_RTP_PAYLOAD_JPEG</p></td>
<td class="enum_member_description">
<p>ISO Standards 10918-1 and 10918-2 (RFC 2435)</p>
</td>
<td class="enum_member_annotations"> </td>
</tr>
<tr>
<td class="enum_member_name"><p><a name="GST-RTP-PAYLOAD-NV:CAPS"></a>GST_RTP_PAYLOAD_NV</p></td>
<td class="enum_member_description">
<p>nv encoding by Ron Frederick</p>
</td>
<td class="enum_member_annotations"> </td>
</tr>
<tr>
<td class="enum_member_name"><p><a name="GST-RTP-PAYLOAD-H261:CAPS"></a>GST_RTP_PAYLOAD_H261</p></td>
<td class="enum_member_description">
<p>ITU-T Recommendation H.261 (RFC 2032)</p>
</td>
<td class="enum_member_annotations"> </td>
</tr>
<tr>
<td class="enum_member_name"><p><a name="GST-RTP-PAYLOAD-MPV:CAPS"></a>GST_RTP_PAYLOAD_MPV</p></td>
<td class="enum_member_description">
<p>Video MPEG 1 &amp; 2 (RFC 2250)</p>
</td>
<td class="enum_member_annotations"> </td>
</tr>
<tr>
<td class="enum_member_name"><p><a name="GST-RTP-PAYLOAD-MP2T:CAPS"></a>GST_RTP_PAYLOAD_MP2T</p></td>
<td class="enum_member_description">
<p>MPEG-2 transport stream (RFC 2250)</p>
</td>
<td class="enum_member_annotations"> </td>
</tr>
<tr>
<td class="enum_member_name"><p><a name="GST-RTP-PAYLOAD-H263:CAPS"></a>GST_RTP_PAYLOAD_H263</p></td>
<td class="enum_member_description">
<p>Video H263 (RFC 2190)</p>
</td>
<td class="enum_member_annotations"> </td>
</tr>
</tbody>
</table></div>
</div>
</div>
<hr>
<div class="refsect2">
<a name="GstRTPPayloadInfo"></a><h3>struct GstRTPPayloadInfo</h3>
<pre class="programlisting">struct GstRTPPayloadInfo {
  guint8       payload_type;
  const gchar *media;
  const gchar *encoding_name;
  guint        clock_rate;
  const gchar *encoding_parameters;
  guint        bitrate;
};
</pre>
<p>Structure holding default payload type information.</p>
<div class="refsect3">
<a name="id-1.2.9.8.9.3.5"></a><h4>Members</h4>
<div class="informaltable"><table width="100%" border="0">
<colgroup>
<col width="300px" class="struct_members_name">
<col class="struct_members_description">
<col width="200px" class="struct_members_annotations">
</colgroup>
<tbody>
<tr>
<td class="struct_member_name"><p><span class="type">guint8</span> <em class="structfield"><code><a name="GstRTPPayloadInfo.payload-type"></a>payload_type</code></em>;</p></td>
<td class="struct_member_description"><p>payload type, -1 means dynamic</p></td>
<td class="struct_member_annotations"> </td>
</tr>
<tr>
<td class="struct_member_name"><p>const <a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gchar"><span class="type">gchar</span></a> *<em class="structfield"><code><a name="GstRTPPayloadInfo.media"></a>media</code></em>;</p></td>
<td class="struct_member_description"><p>the media type(s), usually "audio", "video", "application", "text",
"message".</p></td>
<td class="struct_member_annotations"> </td>
</tr>
<tr>
<td class="struct_member_name"><p>const <a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gchar"><span class="type">gchar</span></a> *<em class="structfield"><code><a name="GstRTPPayloadInfo.encoding-name"></a>encoding_name</code></em>;</p></td>
<td class="struct_member_description"><p>the encoding name of <em class="parameter"><code>pt</code></em>
</p></td>
<td class="struct_member_annotations"> </td>
</tr>
<tr>
<td class="struct_member_name"><p><a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#guint"><span class="type">guint</span></a> <em class="structfield"><code><a name="GstRTPPayloadInfo.clock-rate"></a>clock_rate</code></em>;</p></td>
<td class="struct_member_description"><p>default clock rate, 0 = unknown/variable</p></td>
<td class="struct_member_annotations"> </td>
</tr>
<tr>
<td class="struct_member_name"><p>const <a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gchar"><span class="type">gchar</span></a> *<em class="structfield"><code><a name="GstRTPPayloadInfo.encoding-parameters"></a>encoding_parameters</code></em>;</p></td>
<td class="struct_member_description"><p>encoding parameters. For audio this is the number of
channels. NULL = not applicable.</p></td>
<td class="struct_member_annotations"> </td>
</tr>
<tr>
<td class="struct_member_name"><p><a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#guint"><span class="type">guint</span></a> <em class="structfield"><code><a name="GstRTPPayloadInfo.bitrate"></a>bitrate</code></em>;</p></td>
<td class="struct_member_description"><p>the bitrate of the media. 0 = unknown/variable.</p></td>
<td class="struct_member_annotations"> </td>
</tr>
</tbody>
</table></div>
</div>
</div>
</div>
<div class="refsect1">
<a name="gst-plugins-base-libs-gstrtppayloads.see-also"></a><h2>See Also</h2>
<p>gstrtpbuffer</p>
</div>
</div>
<div class="footer">
<hr>
          Generated by GTK-Doc V1.20</div>
</body>
</html>